#include <iostream>

using namespace std;

int main() {
  int a, b, x, y;
  
  std::cin >> a >> b;
  std::cin >> x >> y;
  
  if (x == a && y == b) {
    std::cout << "nijedan";
  } else {
    if (x == a) {
      std::cout << "drugi";
    } else if (y == b) {
      std::cout << "prvi";
    } else {
      std::cout << '?';
    }
  }

  return 0;
}